## ChangeLog.txt - unreleased version; git source - branch pr/python-3.12.
## Source name format:
## git clone --single-branch --branch pr/python-3.12 https://github.com/sunweaver/pam-python
%define commit	4a09616112de8b9e4920c06b8aa6ae0428cbb5d5
%define date	20240207

%define rel	1

Name:		pam-python
Version:	1.1.0
Release:	%mkrel %{?date:0.git%date.}%{rel}
Group:		System/Libraries
URL:		https://pam-python.sourceforge.net/
License:	AGPLv3+
Summary:	Support for writing PAM modules in Python
#Source0:	https://sourceforge.net/projects/%%{name}/files/%%{name}-%%{version}-1/%%{name}-%%{version}.tar.gz
Source0:	https://github.com/sunweaver/pam-python/archive/%{commit}/%{name}-%{version}%{?date:+git%date}.tar.gz
# From upstream bug report
# https://sourceforge.net/p/pam-python/tickets/1/#5839
Patch1:		pam-python-1.1.0-fedora.patch
# Mageia patches
Patch100:	pam-python-1.1.0-build.patch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pam-devel >= 0.76
BuildRequires:	python3-sphinx

%description
pam-python is a PAM Module that runs the Python interpreter, thus allowing PAM
modules to be written in Python.

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%make_build OPTFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%make_install LIBDIR=%{_libdir}/security DOCDIR=%{_docdir}/%{name}

%files
%doc README.txt pam-python.html
%doc %{_docdir}/%{name}/*
%license agpl-3.0.txt
%{_libdir}/security/pam_python3.so


%changelog
* Sun Mar 10 2024 daviddavid <daviddavid> 1.1.0-0.git20240207.1.mga10
+ Revision: 2049092
- new version: 1.1.0 (mga#32954)
  * from https://github.com/sunweaver/pam-python, branch: pr/python-3.12)
- rebuild for py3.12
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 1.0.7-4.mga9
+ Revision: 1832934
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 1.0.7-3.mga9
+ Revision: 1786342
- rebuild for python-3.10

* Sun Mar 21 2021 neoclust <neoclust> 1.0.7-2.mga9
+ Revision: 1706337
- Rebuild against python 3.9

* Thu Apr 02 2020 danf <danf> 1.0.7-1.mga8
+ Revision: 1563933
- Update to ver. 1.0.7 plus Python 3 patch
- Fixes local root exploit security issue
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Aug 17 2019 wally <wally> 1.0.6-4.mga8
+ Revision: 1429539
- update sphinx BR

* Sat Nov 17 2018 umeabot <umeabot> 1.0.6-3.mga7
+ Revision: 1330323
- Mageia 7 Mass Rebuild

* Mon Jun 25 2018 wally <wally> 1.0.6-2.mga7
+ Revision: 1239622
- add patches to fix build and use our build time flags

* Wed Sep 14 2016 mitya <mitya> 1.0.6-1.mga6
+ Revision: 1052577
- pam-python 1.0.6
- Created package structure for pam-python.

